Command Line Processing

## Generating Reports

### The "repc" Program

Using the command line program "repc", text and/or html reports can be generated from a previously created Understand for C++ project and database. The database (.udc file) may be created by using either Understand for C++ or the "undc" command line program.

The "repc" command line format is:

repc -db udcfile [report-options] [-quiet]

where report-options are one or more of the following:

[-reports_html dir] [-reports_text textfile | -reports_separate dir | ]
[-metrics file]

Each option is described below:

Option | Description
--- | ---
-reports_html dir -reports_html size dir | Specify the directory location to create the html reports By default, reports are broken up alphabetically by entity name. Using the "size" optional argument you can specify how many entities to report on before breaking up an HTML page. Size = 0 puts all entities and reports on the same (large) HTML page.
-reports_separate directory | Split text reports up into separate files, located in the given directory
-reports_text file | Specify the file name for a single text file report. This argument is optional and cannot be used if -prefix is specified.
-metrics file | Specify the file name to use for the metrics export file. This argument is optional.
-quiet | Use for quiet processing, i.e. status messages will not be written to the screen. This argument is optional.
-db udcfile | Specify the name of the project file (.udc) to use.

Refer to for more information on the reports generated.

### Generating All Text Reports

Generate one text file of the specified name with the option -text. Generate multiple text files with the -prefix option and specify a directory path and a common filename prefix. The file extensions of each text file will denote the separate reports. Refer to Report File Naming Conventions for details on the file extensions used for each report.

All available text reports are always generated when this option is specified.

repc -db fastgrep.udc -reports_text textreports.txt

Example to generate multiple text files in subdirectory text_reports:

% repc -db fastgrep.udc -reports_separate text_reports

### Generating All HTML Reports

Generate html files with the -reports_html option and specify the directory to place the files. Refer to Report File Naming Conventions for more details on the files generated.

HTML reports may be split into multiple files either alphabetically or by number of entities. Specify "size" to split each report into multiple html files (one file per alpha character) or use -htmlsplit and specify the number of entities desired per html file. Or, use -htmlall to create only one html file per report generated.

All available html reports are always generated when this option is specified.

Examples:

To create one html file per report:

% repc -db fastgrep.udc -html_reports size 0 html

To create multiple html files per report, split alphabetically:

% repc -db fastgrep.udc -reports_html html

To create multiple html files per report, up to 250 entities per file:

% repc -db fastgrep.udc -reports_html 250 html

### Generating Metrics Reports

Use the -metric option to create a comma delimited project metrics file which can be used in spreadsheet programs. Refer to Exporting Project Metrics Info for a sample file.

Example:

% repc -db fastgrep.udc -metrisc fastgrep-metrics.txt

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com